%define version 0.9.5
%define release 13
%define subrel	1

# this situation is similar to Berkeley DB
%define libname %mklibname Eterm %{version}
%define staticlibname %mklibname -d -s Eterm

Summary:	Terminal emulator
Name:		Eterm
Version:	%{version}
Release:	%mkrel %{release}
License:	BSD
Group:		Terminals
URL:		http://eterm.sourceforge.net/

Source0:	http://www.eterm.org/download/%{name}-%{version}.tar.bz2
Source5:	http://www.eterm.org/download/%{name}-bg-0.9.3.tar.bz2

BuildRequires:	imlib2-devel
BuildRequires:	libast-devel >= 0.5
BuildRequires:	utempter-devel
BuildRequires:	libx11-devel twin-devel
BuildRequires:	libxres-devel
BuildRequires:	libxext-devel
BuildRequires:	libxmu-devel
BuildRequires:  groff-for-man man
BuildRequires:	gdb
BuildRequires:	chrpath
Requires(pre):	ncurses
# needed by Etbg_update_list script
Requires(post):	diffutils
Conflicts:	ncurses-extraterms

%description
Eterm is a color vt102 terminal emulator intended as a replacement for Xterm.
It is designed with a Freedom of Choice philosophy, leaving as much power,
flexibility, and freedom as possible in the hands of the user.

It is designed to look good and work well, but takes a feature-rich approach
rather than one of minimalism while still maintaining speed and efficiency.

It works on any windowmanager/desktop environment, although it is designed
to work and integrate best with Enlightenment.


%package -n	%{libname}
Summary:	Library from Eterm (Enlightened Terminal Emulator)
Group:		Terminals

%description -n	%{libname}
Eterm is a color vt102 terminal emulator intended as a replacement for Xterm.
It is designed with a Freedom of Choice philosophy, leaving as much power,
flexibility, and freedom as possible in the hands of the user.

It is designed to look good and work well, but takes a feature-rich approach
rather than one of minimalism while still maintaining speed and efficiency.

It works on any windowmanager/desktop environment, although it is designed
to work and integrate best with Enlightenment.

This library is essential for Eterm to work.

%package -n %{staticlibname}
Summary:	Static Library from Eterm (Enlightened Terminal Emulator)
Group:		Terminals

%description -n	%{staticlibname}
Static Library from Eterm (Enlightened Terminal Emulator)

%package	devel
Summary:	Devel files for Eterm
Group:		Development/Other
Requires:	%{name} = %{version}

%description	devel
Eterm is a color vt102 terminal emulator intended as a replacement for Xterm.
It is designed with a Freedom of Choice philosophy, leaving as much power,
flexibility, and freedom as possible in the hands of the user.

It is designed to look good and work well, but takes a feature-rich approach
rather than one of minimalism while still maintaining speed and efficiency.

It works on any windowmanager/desktop environment, although it is designed
to work and integrate best with Enlightenment.

This package provides the necessary development libraries and include files
to allow you to develop or compile programs that needs Eterm, though no such
program has existed so far.

%prep
%setup -q -a5

# fix rpmlint warning
# change character encoding
mv ChangeLog ChangeLog.old
iconv -f ISO-8859-1 -t UTF8 -o ChangeLog ChangeLog.old

# patch1 also sets $TERM = xterm for all themes,
# do that here since patch1 is not applied
find themes/ -name 'theme.cfg.in' -print0 | xargs -0 -r perl -pi -e 's/term_name Eterm/term_name xterm/'

%build
%configure2_5x \
  --enable-etwin \
  --enable-escreen-fx \
  --enable-profile \
  --enable-trans \
  --with-backspace=bs \
  --enable-mmx \
  --enable-utmp \
  --with-delete=execute \
  --enable-auto-encoding \
  --enable-multi-charset \
  --enable-xim \
  --enable-greek

%make


%install
rm -rf %{buildroot}
%makeinstall_std

# Install menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Eterm
Comment=Enlightened Terminal Emulator
Exec=%{name}
Icon=terminals_section
Terminal=false
Type=Application
Categories=System;TerminalEmulator;
EOF

mkdir -p %{buildroot}%{_datadir}/terminfo/E
tic -o %{buildroot}%{_datadir}/terminfo doc/Eterm.ti

#for %%ghost file
touch %{buildroot}%{_datadir}/%{name}/pix/pixmaps.list.old

# fiw rpmlint warning
# remove rpath
chrpath -d %{buildroot}%{_bindir}/{Esetroot,Eterm}

%clean
rm -rf %{buildroot}

%post
if [ "$1" = "1" ]; then
	%create_ghostfile %{_datadir}/%{name}/pix/pixmaps.list.old root root 0644
	%{_sbindir}/update-alternatives --install %{_bindir}/xvt xvt %{_bindir}/Eterm 15
fi
%{_bindir}/Etbg_update_list %{_datadir}/%{name}/pix/

%postun
if [ "$1" = "0" ]; then
	%{_sbindir}/update-alternatives --remove xvt %{_bindir}/Eterm
fi

%files
%defattr(-, root, root,0755)
%doc ChangeLog README ReleaseNotes doc/Eterm_reference.html doc/README.Escreen doc/escreen.cfg doc/gen-menus
%{_bindir}/*
%dir %{_datadir}/Eterm
%config(noreplace) %{_datadir}/Eterm/themes
%dir %{_datadir}/%{name}/pix
%ghost %{_datadir}/%{name}/pix/pixmaps.list.old
%{_datadir}/%{name}/pix/tile
%{_datadir}/%{name}/pix/scale
%{_datadir}/%{name}/pix/*.png
%{_datadir}/%{name}/pix/pixmaps.list
%{_mandir}/man1/Eterm.1.*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/%{name}/gdb.scr
%{_datadir}/terminfo/E/*

%files -n %{libname}
%defattr(-, root, root,0755)
%{_libdir}/libEterm-*.so

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.la
%{_libdir}/libEterm.so

%files -n %{staticlibname}
%defattr(-,root,root,-)
%{_libdir}/*.a




%changelog

* Mon Nov 07 2011 wally <wally> 0.9.5-13.1.mga1
+ Revision: 164983
- fix post scriptlets (mga#3280)
- fix file list
- fix some rpmlint warnings
  * character encoding
  * rpath

* Sun May 15 2011 pterjan <pterjan> 0.9.5-13.mga1
+ Revision: 98978
- Rebuild for fixed find-requires

* Mon Apr 25 2011 wally <wally> 0.9.5-12.mga1
+ Revision: 90254
- drop P1, unused since forever

* Mon Apr 25 2011 wally <wally> 0.9.5-11.mga1
+ Revision: 90241
- raise rel so package gets updated when updating from Mdv
- fix desktop file name (mga#954)
- fix desktop file
- unpack patch
- more .spec cleaning

* Tue Apr 19 2011 ennael <ennael> 0.9.5-1.mga1
+ Revision: 88286
- clean spec file

  + steletch <steletch>
    - One spec typo was left
    - More cleanup of the spec file
    - Clean spec file
    - imported package Eterm

